Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.sci
Interface SciJavaImport

public interface SciJavaImport
extends SciObject

`SciJavaImport` represents a Java language 'import' command.

The text of this import command can be obtained using the `getImportText` method. For example, if `SciJavaImport` object `myImport` represents this import command: ``

     import java.net.*;

then `myImport.getImportText()` will return "java.net.*"

The text of this import command can be changed using the `setImportText` method. For example, to change the import command described above to the ``

     import java.io.IOException;

you should call `

     myImport.setImportText("java.io.IOException");

`

Author:
  TogetherSoft
See Also: SciJavaImportList, SciFile.getJavaImportList()

Method Summary
`boolean` | `canSetImportText(String text)` Checks whether the specified string can be set as the value for this `import` command
`String` | `getImportText()` Returns a string containing the value of this `import` command.
`void` | `setImportText(String text)` Sets the value for this `import` command.

Methods inherited from interface com.togethersoft.openapi.sci.SciObject
`canCut, canDelete, canReplace, copy, cut, delete, getContainingFile, getContainingScope, getLanguage, getPositions, getText, getUserProperty, isReadOnly, replace, setUserProperty`

Method Detail

### canSetImportText

    public boolean canSetImportText(String text)

  Checks whether the specified string can be set as the value for this `import` command
  Parameters:
    text - the string containing the value for this 'import' command
  Returns: `true` if the specified value can be set, `false` otherwise

### getImportText

    public String getImportText()

  Returns a string containing the value of this `import` command.
  Returns: a string containing the value of this `import` command

### setImportText

    public void setImportText(String text)

  Sets the value for this `import` command.
  Parameters:
    text - the string containing the value for this 'import' command

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD